## ipywidgets 5.2.2

=== debian/changelog ===
ipywidgets (5.2.2-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Build-Depends: fonts-font-awesome (>= 4.7.0~dfsg-1~),
                   python[3]-setuptools (>= 28)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Mar 2017 14:44:03 +0100

ipywidgets (5.2.2-3) unstable; urgency=medium

  [ Gordon Ball ]
  * Add explicit build-dependency on m4
  * The warning previously displayed when importing ipywidgets if
    widgetsnbextension wasn't installed has been removed, since the
    extension is installed directly (see: #848252)

  [ Ximin Luo ]
  * Add Suggests: python-ipywidgets-doc (Closes: #849613)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 07 Jan 2017 14:39:15 +0100

ipywidgets (5.2.2-2) unstable; urgency=medium

  * jupyter-nbextension-jupyter-js-widgets: Depend on newer pythonX-notebook
    in order to pick up some fixes related to automatic enable/disable.

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Dec 2016 23:30:53 +0100

ipywidgets (5.2.2-1) unstable; urgency=medium

  [ Gordon Ball ]
  * Initial release. (Closes: #838684)

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Dec 2016 13:03:56 +0100
