## ipywidgets 6.0.0

=== debian/changelog ===
ipywidgets (6.0.0-6) unstable; urgency=medium

  * To enable ipywidgets in jupyter-notebook, move to dropping a config file
    in notebook.d/ instead of using postinst/prerm to merge a shared config
    file, which will hopefully be more robust.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Dec 2019 19:39:12 +0000

ipywidgets (6.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * Drop python 2 support (binary packages python-ipywidgets,
    python-widgetsnbextension), and update python 2-or-3 dependencies to
    python3 only (Closes: #936745)
  * Add es2015.iterable to typescript configs
  * Update node symlinks where packages have moved to usr/share/nodejs (and
    version moved dependencies)
  * Update internal paths in fakewebpack for d3-format
  * Use nosetests3 binary for testing

 -- Gordon Ball <gordon@chronitis.net>  Mon, 25 Nov 2019 16:12:08 +0000

ipywidgets (6.0.0-4) unstable; urgency=medium

  * Team upload.
  * Use 'Object.prototype' instead of 'path.scope.getBindings' when
    calling 'hasOwnProperty'.  (Closes: #926802)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 27 Apr 2019 15:18:56 -0400

ipywidgets (6.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Ximin Luo ]
  * Fix build against typescript 3.2. (Closes: #902471)
  * Drop build-dep on jupyter-sphinx-theme. (Closes: #917705)

 -- Ximin Luo <infinity0@debian.org>  Tue, 22 Jan 2019 00:10:07 -0800

ipywidgets (6.0.0-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #871339, #858629)
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 22:14:11 +0200

ipywidgets (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * The documentation package (python-ipywidgets-doc) has been emptied for the
    time being, because it is too hard to build it. See the package description
    for more details.

 -- Ximin Luo <infinity0@debian.org>  Mon, 22 May 2017 17:51:28 +0200
