=== debian/control ===
Source: ipywidgets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Ximin Luo <infinity0@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.1
Homepage: https://github.com/jupyter-widgets/ipywidgets
Build-Depends: debhelper-compat (= 10),
               dh-python,
               node-recast,
               libjs-jquery,
               libjs-jquery-ui,
               node-backbone,
               node-d3-format (>= 1:1.4.1-1),
               node-es6-promise (>= 4.2.8-4),
               node-semver (>= 6.3.0-1),
               node-typescript,
               node-typescript-types (>= 20190926-1),
               node-underscore,
               patch,
               python3-all,
               python3-pytest,
               python3-setuptools (>= 28),
               python3-coverage,
               python3-ipython,
               python3-ipykernel,
               python3-jsonschema,
               python3-mock,
               python3-nose,
               python3-traitlets,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               pandoc,
               m4
Vcs-Git: https://salsa.debian.org/python-team/modules/ipywidgets.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ipywidgets

Package: python3-ipywidgets
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 jupyter-nbextension-jupyter-js-widgets (= ${binary:Version})
Suggests: python-ipywidgets-doc
Description: Interactive widgets for the Jupyter notebook (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 3 notebooks.

Package: python-ipywidgets-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
Built-Using: ${fakewebpack:Built-Using}
Description: Interactive widgets for the Jupyter notebook (documentation)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs documentation.
 .
 NOTE: currently this package is empty because upstream does not have a good
 build-process to generate the documentation; see:
 .
  * https://github.com/jupyter-widgets/ipywidgets/issues/1273
  * https://github.com/jupyter-widgets/jupyter-sphinx/issues/4

Package: jupyter-nbextension-jupyter-js-widgets
Architecture: all
Depends: ${misc:Depends}
Recommends: jupyter-notebook
Suggests: python3-ipywidgets
Built-Using: ${fakewebpack:Built-Using}
Description: Interactive widgets - Jupyter notebook extension
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension that allows a
 Jupyter notebook server to serve and display these widgets. You will also need
 to install kernel-side libraries, for an interactive session to drive and
 animate the widgets that are contained in a notebook. For Python 2 notebooks
 this is python-ipywidgets, and for Python 3 this is python3-ipywidgets.

Package: python3-widgetsnbextension
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 jupyter-nbextension-jupyter-js-widgets (= ${binary:Version})
Enhances: python3-notebook
Description: Interactive widgets - Jupyter notebook extension (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension as a Python 3
 module that may be installed via the notebook.nbextensions executable module.
 .
 This package should *not be necessary* for Debian software to use; instead you
 should directly use the jupyter-nbextension-jupyter-js-widgets package. It is
 provided only for compatibility with non-Debian software.
