=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ipywidgets-$1.tar.gz%" \
 https://github.com/jupyter-widgets/ipywidgets/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
