## ipywidgets 8.1.1

=== .binder/requirements.txt ===
bqplot
ipyleaflet
jupyterlab-myst
jupyterlab==4.0.2
matplotlib
networkx
numpy
pandas
scikit-image
scikit-learn
sympy
