=== docs/requirements.txt ===
bqplot
build
docutils >=0.19
ipykernel
ipyleaflet
jupyter-client
jupyter-packaging
jupyterlab >=4
jupyterlite >=0.1.1<0.2.0
matplotlib
myst-nb >=0.17,<0.18
numpy
packaging
pkginfo
pydata-sphinx-theme
recommonmark
scikit-image
scikit-learn
sphinx >=1.4.6
sphinx-autobuild
sphinx-autodoc-typehints
sphinx-copybutton
sphinxext-rediraffe
sympy
