=== debian/changelog ===
ipywidgets (8.1.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bug fix: "build-depends on python3-nose or uses it for autopkgtest",
    thanks to Dmitry Shachnev (Closes: #1018379).
  * Require recent python3-comm.

 -- Roland Mas <lolando@debian.org>  Wed, 31 Jan 2024 00:06:41 +0100

ipywidgets (8.1.1-1) experimental; urgency=medium

  * New upstream release.
  * This fixes "New upstream releases available and requested", thanks to
    Tobias Hansen (Closes: #896460).

 -- Roland Mas <lolando@debian.org>  Tue, 14 Nov 2023 12:01:39 +0100

ipywidgets (8.0.6-1) experimental; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 17 May 2023 16:35:33 +0200

ipywidgets (8.0.3-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 07 Dec 2022 13:44:34 +0100

ipywidgets (8.0.0~b1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * NOT READY FOR RELEASE: missing dependencies, need to review path to
    javascript libraries (require.min.js and embed-amd.js), failing
    testsuite…

 -- Roland Mas <lolando@debian.org>  Thu, 27 Jan 2022 23:09:51 +0100

ipywidgets (6.0.0-9) unstable; urgency=medium

  * Team upload
  * debian/missing-sources/phosphor/src/ui/vdom.ts: MouseWheelEvent is
    WheelEvent since TypeScript 2.0 (Closes: #997738)
  * debian/patches/python3.10.patch: compatibility with Python 3.10
    (Closes: #1001343)

 -- Graham Inggs <ginggs@debian.org>  Wed, 09 Feb 2022 09:33:43 +0000

ipywidgets (6.0.0-8) unstable; urgency=medium

  * Upload to unstable
  * Missing bug close from the previous version: Closes: #898781
  * Add a hint to "Widget Javascript not detected" warnings.

 -- Gordon Ball <gordon@chronitis.net>  Tue, 09 Feb 2021 09:00:09 +0000

ipywidgets (6.0.0-7) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * Complete rework the build for this package. It now uses pkg-js-tools and
    webpack to (mostly) native build the web extensions, dropping the previous
    fakewebpack implementation.
  * Fix FTBFS (Closes: #950094, #971224) and dependency bugs (Closes: #979773)
  * Drop embedded copies of css-loader, process, setimmediate, style-loader,
    timers-browserify. Add (temporarily) embedded copy of @types/underscore.
  * Add patches for Typescript 4 and Webpack 4 compatibility
  * Standards-Version 4.5.1, Debhelper compat 13, Rules-Requires-Root: no
  * Run the (python) testsuite as an autopkgtest
  * Populate the documentation package

 -- Gordon Ball <gordon@chronitis.net>  Mon, 08 Feb 2021 08:34:42 +0000
