=== debian/tests/control ===
Test-Command: cd /usr/lib/python3/dist-packages/ ; pytest --cov=ipywidgets ipywidgets
Depends: python3-ipywidgets, python3-pytest, python3-pytest-cov, python3-ipython, python3-ipykernel
Restrictions: allow-stderr, flaky
