=== debian/changelog ===
ipywidgets (8.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Jun 2024 09:25:38 +0100

ipywidgets (8.1.2-3) unstable; urgency=medium

  * Team upload.
  * Fix compatibility with pytest 8 (closes: #1071893).

 -- Colin Watson <cjwatson@debian.org>  Fri, 31 May 2024 12:15:19 +0100

ipywidgets (8.1.2-2) unstable; urgency=medium

  * Remove build-dependency on bqplot.
  * Disable widgetsnbextension, provided by other packages.

 -- Roland Mas <lolando@debian.org>  Sun, 12 May 2024 12:34:57 +0200

ipywidgets (8.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Restore normal build, fixes "FTBFS: unsatisfiable build-dependency:
    jupyter-nbextension-jupyter-js-widgets (= 8.1.1-3) but 8.1.1-2 is to
    be installed", thanks to Lucas Nussbaum (Closes: #1067311).
  * Temporarily build-depend on pytest < 8 because
    https://github.com/jupyter-widgets/ipywidgets/issues/3895 creates an FTBFS.

 -- Roland Mas <lolando@debian.org>  Wed, 01 May 2024 16:40:51 +0200

ipywidgets (8.1.1-5) unstable; urgency=medium

  * Temporary manual build (with disabled testsuite) to break the
    dependency cycle.

 -- Roland Mas <lolando@debian.org>  Wed, 10 Apr 2024 18:45:58 +0200

ipywidgets (8.1.1-4) unstable; urgency=medium

  * Remove versioned dependency on removed packages (oops).

 -- Roland Mas <lolando@debian.org>  Wed, 21 Feb 2024 15:35:48 +0100

ipywidgets (8.1.1-3) unstable; urgency=medium

  * Remove jupyter-nbextension-jupyter-js-widgets and
    python3-widgetsnbextension binary packages; their contents are now
    provided by the binary packages generated out of node-ipydatagrid.
  * Add related Depends: field.

 -- Roland Mas <lolando@debian.org>  Wed, 21 Feb 2024 10:40:36 +0100
