=== debian/control ===
Source: ipywidgets
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>,
 Ximin Luo <infinity0@debian.org>,
 Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.1
Homepage: https://github.com/jupyter-widgets/ipywidgets
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 fonts-font-awesome,
 libjs-mathjax,
 libjs-requirejs,
 libjs-sizzle,
 node-ajv,
 node-backbone,
 node-css-loader,
 node-d3,
 node-d3-color,
 node-d3-format,
 node-d3-format,
 node-es6-promise,
 node-expect.js,
 node-file-loader,
 node-jquery,
 node-jquery-ui,
 node-jupyterlab,
 node-jupyterlab-rendermime-interfaces,
 node-lodash,
 node-lumino,
 node-minipass,
 node-minipass,
 node-nouislider,
 node-postcss,
 node-process,
 node-recast,
 node-requirejs,
 node-sanitize-html,
 node-semver,
 node-sinon,
 node-style-loader,
 node-types-estree,
 node-types-sanitize-html,
 node-types-underscore,
 node-typescript,
 node-underscore,
 node-url-loader,
 npm,
 pandoc,
 pkg-js-tools,
 python3-all,
# python3-bqplot,
 python3-comm (>= 0.2.1),
 python3-ipykernel,
 python3-ipython,
 python3-jsonschema,
 python3-jupyter-packaging (>= 0.11.1),
 python3-matplotlib,
 python3-nbsphinx,
 python3-pytest,
 python3-pytest-cov,
 python3-recommonmark,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-traitlets,
 webpack,
Vcs-Git: https://salsa.debian.org/python-team/packages/ipywidgets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ipywidgets
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-ipywidgets
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-comm (>= 0.2.1),
 node-jupyter-widgets-base,
Suggests: python-ipywidgets-doc
Description: Interactive widgets for the Jupyter notebook (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 3 notebooks.

Package: python-ipywidgets-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax,
 libjs-requirejs, node-jupyter-widgets-html-manager
Built-Using: ${sphinxdoc:Built-Using}
Description: Interactive widgets for the Jupyter notebook (documentation)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs documentation.
