=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1 # can also set this on each debian/rules command line
export LC_ALL=C.UTF-8
JSUSING:=fonts-font-awesome libjs-mathjax node-ajv node-d3-format node-requirejs node-jquery node-jquery-ui node-backbone node-es6-promise node-semver node-underscore
BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(jspkg)))

PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
PYPATH=$(CURDIR)/debian/python3-ipywidgets/usr/lib/python$(PYVERS)/dist-packages
PYTHON_MODS=ipywidgets # widgetsnbextension

NODE_MODS=base base-manager controls html-manager output # schema
JSDEPS=@jupyterlab jquery @lumino @types underscore lodash postcss minipass source-map-js

#CMD=ln -sf
CMD=cp -r

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	for i in $(PYTHON_MODS) ; do dh_auto_clean --buildsystem=pybuild -- --dir python/$$i ; rm -rf python/$$i/$$i.egg-info ; done

override_dh_auto_configure:
	for i in $(PYTHON_MODS) ; do dh_auto_configure --buildsystem=pybuild -- --dir python/$$i ; done
	cp -r /usr/share/javascript/mathjax packages/controls/node_modules/

override_dh_auto_build:
	for i in $(PYTHON_MODS) ; do dh_auto_build --buildsystem=pybuild -- --dir python/$$i ; done

XXXoverride_dh_sphinxdoc:
	for i in $(PYTHON_MODS) ; do dh_auto_install --buildsystem=pybuild -- --dir python/$$i ; done
	dh_install
	PYTHONPATH=$(PYPATH) python3 -m sphinx -N -bhtml docs/source debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html
	ln -s /usr/share/javascript/requirejs/require.min.js debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html/_static
	mkdir -p debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist
	touch debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist/embed-amd.js
	dh_sphinxdoc

override_dh_auto_install:
	for i in $(PYTHON_MODS) ; do dh_auto_install --buildsystem=pybuild -- --dir python/$$i ; done
	rm -rf debian/tmp/usr/lib/python3*/dist-packages/widgetsnbextension* debian/tmp/usr/share/jupyter/nbconfig/notebook.d/widgetsnbextension.json
	dh_install

override_dh_auto_test:
	cd python/ipywidgets ; PYTHONPATH=$(PYPATH) pytest --cov=ipywidgets ipywidgets # || true

#override_dh_gencontrol:
#	echo "js:Built-Using=$(BUILTUSING)" >> debian/jupyter-nbextension-jupyter-js-widgets.substvars
#	dh_gencontrol
